﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace windows
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            List<Persoon> personen = new List<Persoon>();
            personen.Add(new Persoon("Jan", 15));
            personen.Add(new Persoon("Piet", 25));
            personen.Add(new Persoon("Joris", 35));
            personen.Add(new Persoon("Corneel", 45));
            persoonBindingSource.DataSource = personen;
        }

        private void btnToevoegen_Click(object sender, EventArgs e)
        {
            VoegPersoonToe();
        }

        private void VoegPersoonToe()
        {
            PersoonDlg dlg = new PersoonDlg();
            try
            {
                Persoon p = new Persoon();
                dlg.Persoon = p;
                if (dlg.ShowDialog() == DialogResult.OK)
                {
                    persoonBindingSource.Add(dlg.Persoon);
                }
                return;
            }
            finally
            {
                dlg.Dispose();
            }
        }

        private void toevoegenToolStripMenuItem_Click(object sender, EventArgs e)
        {
            VoegPersoonToe();
        }

        private void btnWijzigen_Click(object sender, EventArgs e)
        {
            using (PersoonDlg dlg = new PersoonDlg())
            {
                Persoon p = (Persoon)persoonBindingSource.Current;
                dlg.Persoon = p;
                dlg.ShowDialog();
            }
        }
    }
}
